classification
Title: Add more index entries for symbols
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, ezio.melotti, georg.brandl, serhiy.storchaka, willingc
Priority: normal Keywords: patch

Created on 2018-10-23 17:45 by serhiy.storchaka, last changed 2018-10-28 17:35 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10064 merged serhiy.storchaka, 2018-10-23 17:46
PR 10119 merged serhiy.storchaka, 2018-10-26 07:03
PR 10120 merged serhiy.storchaka, 2018-10-26 07:03
PR 10121 merged serhiy.storchaka, 2018-10-26 10:38
PR 10171 merged miss-islington, 2018-10-28 11:41
PR 10182 merged serhiy.storchaka, 2018-10-28 16:50
Messages (8)
msg328329 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-23 17:45
The proposed PR adds index entries for all operators, syntax elements and keywords. It also adds index entries for symbols in related minilanguages:

* escape sequences in string literals
* metacharacters and escape sequences in regular expressions
* symbols in printf-style formatting, string formatting, f-strings and template strings
* special symbols for OS (pathnames and interpolation)
* special symbols in doctests
* and others

Also fixed several errors in formatting.
msg328515 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-26 06:00
New changeset ddb961d2abe5d5fde76d85b21a77e4e91e0043ad by Serhiy Storchaka in branch 'master':
bpo-35054: Add more index entries for symbols. (GH-10064)
https://github.com/python/cpython/commit/ddb961d2abe5d5fde76d85b21a77e4e91e0043ad
msg328523 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-26 08:18
New changeset 9a75b8470a2e0de5406edcabba140f023c99c6a9 by Serhiy Storchaka in branch '3.7':
[3.7] bpo-35054: Add more index entries for symbols. (GH-10064). (GH-10120)
https://github.com/python/cpython/commit/9a75b8470a2e0de5406edcabba140f023c99c6a9
msg328524 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-26 08:19
New changeset e825b4e1a9bbe1d4c561f4cbbe6857653ef13a15 by Serhiy Storchaka in branch '3.6':
[3.6] bpo-35054: Add more index entries for symbols. (GH-10064). (GH-10119)
https://github.com/python/cpython/commit/e825b4e1a9bbe1d4c561f4cbbe6857653ef13a15
msg328534 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-26 10:41
PR 10121 adds names for single-character symbols (e.g. "* (asterisk)"). It also adds more indices for symbols in fnmatch, glob, struct, argparse, sqlite3, etc.
msg328684 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-28 11:41
New changeset 913876d824d969f8c7431e8a9d4610a9a11a786e by Serhiy Storchaka in branch 'master':
bpo-35054: Add yet more index entries for symbols. (GH-10121)
https://github.com/python/cpython/commit/913876d824d969f8c7431e8a9d4610a9a11a786e
msg328702 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-28 16:43
New changeset fdf48b6b88f44a3ae6dc3e5eaea40c226c7df6c7 by Serhiy Storchaka (Miss Islington (bot)) in branch '3.7':
bpo-35054: Add yet more index entries for symbols. (GH-10121) (GH-10171)
https://github.com/python/cpython/commit/fdf48b6b88f44a3ae6dc3e5eaea40c226c7df6c7
msg328714 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-28 17:35
New changeset 5b2e1cfde28cce7f4b9275ec1b3757c561eef94e by Serhiy Storchaka in branch '3.6':
[3.6] bpo-35054: Add yet more index entries for symbols. (GH-10121). (GH-10182)
https://github.com/python/cpython/commit/5b2e1cfde28cce7f4b9275ec1b3757c561eef94e
History
Date User Action Args
2018-10-28 17:35:36serhiy.storchakasetmessages: + msg328714
2018-10-28 16:51:58serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-28 16:50:41serhiy.storchakasetpull_requests: + pull_request9505
2018-10-28 16:43:35serhiy.storchakasetmessages: + msg328702
2018-10-28 11:41:39miss-islingtonsetpull_requests: + pull_request9495
2018-10-28 11:41:35serhiy.storchakasetmessages: + msg328684
2018-10-26 10:41:37serhiy.storchakasetmessages: + msg328534
2018-10-26 10:38:06serhiy.storchakasetpull_requests: + pull_request9453
2018-10-26 08:19:01serhiy.storchakasetmessages: + msg328524
2018-10-26 08:18:55serhiy.storchakasetmessages: + msg328523
2018-10-26 07:03:51serhiy.storchakasetpull_requests: + pull_request9452
2018-10-26 07:03:43serhiy.storchakasetpull_requests: + pull_request9451
2018-10-26 06:00:55serhiy.storchakasetmessages: + msg328515
2018-10-23 17:46:24serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request9400
2018-10-23 17:45:03serhiy.storchakacreate